<?php
if (!defined('__TYPECHO_ROOT_DIR__')) {
    exit;
}
$isAjax = isset($_POST['a']) ? $_POST['a'] : false;
$ajax = $isAjax ? intVal($isAjax) : false;
if (!$ajax) {
    ?>
<!DOCTYPE html>
<html dir="ltr" lang="zh-CN">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.5">
    <title><?php $this->archiveTitle(' &raquo; ', '', ' - '); if ($this->_currentPage > 1) echo 'Page ' . $this->_currentPage . ' - '; $this->options->title(); ?></title>
    <link href="http://gmpg.org/xfn/11" rel="profile">
    <link rel="shortcut icon" href="<?php $this->options->themeUrl('img/fav.ico'); ?>" type="image/x-icon">
    <link id="style" rel="stylesheet" type="text/css" media="all"
          href="<?php $this->options->themeUrl('style.css'); ?>"/>
    <link rel="index" title="<?php $this->options->title(); ?>" href="<?php $this->options->siteUrl(); ?>"/>
    <?php
    if ($this->is('single')) {
        ?>
        <link rel="canonical" href="<?php $this->permalink(); ?>"/>
        <link rel="shortlink" href="<?php $this->options->siteUrl(); ?>?p=<?php $this->cid(); ?>"/>
        <?php } elseif ($this->is('index')) { ?>
        <link rel="canonical" href="<?php $this->options->siteUrl(); ?>"/>
        <?php
    }
    $this->thePrev('link');
    $this->theNext('link');
    // 图片边框
    if (empty($this->options->postBlock) || in_array('imageBorder', $this->options->postBlock)) {
        ?>
        <style type="text/css">
            .entry img:not([src*="emoticons"]) {
                border: 1px solid #ccc;
                padding: 1px;
                background: #eee;
            }

            .entry img:not([src*="emoticons"]):hover {
                border: 1px solid #3ae;
                background: #9de;
            }

            #loading {
                position: fixed;
                z-index: 100;
                color: #fff;
                background: url("<?php $this->options->themeUrl('img/load.gif'); ?>") no-repeat scroll 5px center #2ad;
                padding: 5px 10px 6px 24px;
                border-bottom-right-radius: 5px;
                left: 0;
                top: 0;
            }
        </style>
        <?php } ?>
    <?php $this->header('generator=Typecho&template=&commentReply='); ?>
</head>
<body id="wrapper">
<?php if (stripos($_SERVER["HTTP_USER_AGENT"], 'msie') > 0) { ?>
    <!--[if lt IE 9]>
    <style>#ie {
        top: 0;
        left: 0;
        width: 100%;
        text-align: center;
        font-size: 21px;
        position: fixed;
        vertical-align: middle;
        background: gray;
        opacity: .8;
        z-index: 99;
        margin: 5px;
        padding: 2px;
        color: #fff;
        font-weight: bold;
    }</style>
    <div id="ie">诶呦,您使用的浏览器似乎不能很好的访问本站, 赶快使用<a href="http://firefox.com">Firefox</a>或<a href="http://chrome.google.com">Chrome</a>或<a
        href="http://opera.com">Opera</a>等现代浏览器,以获得更好的上网体验!
    </div>
    <script>
        var e = ("abbr,article,aside,audio,canvas,datalist,details,figure,footer,header,hgroup,mark,menu,meter,nav,output,progress,section,time,video").split(",");
        for (var i = 0; i < e.length; i++)document.createElement(e[i]);
    </script>
    <![endif]-->
        <?php } ?>
<div id="loading">
    <script>document.write("Loading...");</script>
    <noscript>You need enable JavaScript to visit this site!</noscript>
</div>
    <?php //Header Start ?>
<header class="clear" id="header">
    <hgroup id="hgroup">
        <h1>
            <a class="title" href="<?php $this->options->siteUrl(); ?>"><?php $this->options->title(); ?></a>
        </h1>
        <h6 class="description"><?php $this->options->description() ?></h6>
        <?php /* if ($this->options->logoUrl){ ?>
    <img src="<?php $this->options->logoUrl() ?>" alt="<?php $this->options->title(); ?>" />
    <?php } */?>
    </hgroup>
    <ul class="subnav">
        <?php $this->widget('Widget_Contents_Page_List')->parse('<li><a href="{permalink}" title="{title}">{title}</a></li>'); ?>
    </ul>
    <nav id="navs">
        <ul>
            <li <?php if ($this->is('index')) {
                echo 'class="current"';
            }?>>
                <a href="<?php $this->options->siteUrl(); ?>#index">Home</a>
            </li>

            <?php $this->widget('Widget_Metas_Category_List')->to($category); ?>
            <?php while ($category->next()) { ?>
            <li <?php if ($this->is('category', $category->slug)) echo 'class="current"' ?>><a
                href="<?php $category->permalink(); ?>"
                title="<?php $category->name(); ?>"><?php $category->name(); ?></a></li>
            <?php
        }
            // 新标签功能区
            $menu0 = array('tag', 'page');
            $menu1 = array('attachment', 'search', 'archive', 'date');
            if (in_array($this->_archiveType, $menu0)) {
                $new_tab = $this->_archiveSlug;
            } else if (in_array($this->_archiveType, $menu1)) {
                $new_tab = implode(' &raquo; ', $this->_archiveTitle);
            } else if ($this->is('post')) {
                $new_tab = Typecho_Common::subStr($this->title, 0, 10, '[...]');
            }
            if (!empty($new_tab)) {
                ?>
                <li id="new_tab" class="current"><a href="#"><?php echo $new_tab; ?></a></li><?php } ?>
        </ul>
    </nav>
    <form class="anis" id="searchform" method="post" action="<?php $this->options->siteUrl(); ?>search">
        <label for="search">Search:</label>
        <input id="search" type="search" name="s" class="text" size="20" placeholder="Search..." required="required"/>
        <button type="submit" class="submit" value="Search"></button>
    </form>
</header>

<div id="container" class="clear">
<?php } //Container Start ?>
